DACSLIST(1) | DACS Tools and Utilities | DACSLIST(1)

## NAME

dacslist — list jurisdictions

## SYNOPSIS

`dacslist` [`dacsoptions`] [`-f`] [`-j` `jurisdiction-name`] [`-k`]

## DESCRIPTION

This program is part of the DACS suite.

For a jurisdiction configured on the host where this program is run, the dacslist utility lists information about all known jurisdictions in the same federation. It can also display information about the federation.

This program is also available as a DACS web service, dacs_list_jurisdictions(8).

### Security

Because this program may access the federation and jurisdiction key files (item types `federation_keys` and `jurisdiction_keys`, respectively), only the DACS administrator should be able to run this command.

## OPTIONS

The program respects the `-format` flag. Except for error messages, information is printed to the standard output.

`-f`

  Only list information about the federation. Equivalent to `-j ""`.

`-j` `jurisdiction-name`

  Limit the output to the specified jurisdiction name. As a special case, if the argument is the empty string, only federation-scoped information will be returned.

`-k`

  Only the federation's or a jurisdiction's public key (if known) will be displayed. If `-j` is given and is not the empty string, that jurisdiction name is selected; if `-j` is given and is the empty string, the federation is selected; and if the argument is absent, the current jurisdiction is selected. A PEM [RFC 1421, RFC 1422, RFC 1423, RFC 1424] formatted key is returned.

### Note

In the current implementation, a jurisdiction's public key can only be provided by one of the jurisdictions configured on the same host.

## EXAMPLES

To list all jurisdictions in the same federation as jurisdiction `J1`, which must be configured on this host:

    % dacslist -uj J1

To copy the public encryption key for `J1` to `pubkey`:

    % dacslist -uj J1 -k > pubkey

To display the public encryption key for `J1`'s federation:

    % dacslist -uj J1 -f -k

To retrieve the public encryption key for `J1`, which must be in the same federation as `J2`:

    % dacslist -uj J2 -k -j J1

To display information about the federation to which jurisdiction `J1` belongs:

    % dacslist -uj J1 -f

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred. Error messages are printed to stderr.

## SEE ALSO

dacs_list_jurisdictions(8), dacs.groups(5)

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2012 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.38a | 23-Nov-2016 | DACSLIST(1)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacslist.1.xml 2563 2012-02-07 22:40:41Z brachman $